### Method

# Secret Item delete_sync

#### Declaration [src]

    gboolean
    secret_item_delete_sync (
      SecretItem* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Delete this secret item.

This method may block indefinitely and should not be used in user interface threads. The secret service may prompt the user. `secret_service_prompt()` will be used to handle any prompts that show up.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the item was successfully deleted or not.